%global apiversion 0.1
%global mddsver 1.2
%global major 1
%define libname %mklibname etonyek %apiversion %major
%define devname %mklibname -d etonyek

Name: libetonyek
Version: 0.1.6
Release: %mkrel 6
Summary: A library for import of Apple iWork documents

Group: System/Libraries
License: MPLv2.0
URL: http://wiki.documentfoundation.org/DLP/Libraries/libetonyek
Source: http://dev-www.libreoffice.org/src/libetonyek/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: glm-devel
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(liblangtag)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(mdds%{?mddsver:-%{mddsver}})
BuildRequires: pkgconfig(zlib)
 
Patch0: 0001-Allow-building-with-mdds-1.2.patch
Patch1: 0001-make-the-mdds-test-forward-compatible.patch
Patch2: 0001-drop-test-that-violates-Unicode-tr-35.patch

%description
%{name} is library for import of documents from Apple iWork applications
(Keynote, Pages and Numbers). It can import documents created by
Keynote 2-6, Pages 1-4 and Numbers 1-2. The support for Numbers is rather
minimal at the moment.

%package -n %libname
Summary: A library for import of Apple iWork documents
Group: System/Libraries
Obsoletes: %{_lib}etonyek1 < 0.1.1-2

%description -n %libname
%{name} is library for import of documents from Apple iWork applications
(Keynote, Pages and Numbers). It can import documents created by
Keynote 2-6, Pages 1-4 and Numbers 1-2. The support for Numbers is rather
minimal at the moment.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libetonyek-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Apple iWork documents into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform Apple iWork documents into other formats. Currently
supported: CSV, HTML, SVG, text, and raw.

%prep
%autosetup -p1

%build
aclocal
autoconf
%configure2_5x --disable-silent-rules --disable-static --disable-werror \
    --with-mdds=%{?mddsver:%{mddsver}}%{!?mddsver:0.x}
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install

rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in key2raw key2text key2xhtml numbers2csv numbers2raw numbers2text pages2html pages2raw pages2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 key2*.1 numbers2*.1 pages2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%__make check

%files -n %libname
%doc AUTHORS FEATURES NEWS README
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Fri Sep 30 2016 tv <tv> 0.1.6-6.mga6
+ Revision: 1057928
- switch to mdds 1.x

  + daviddavid <daviddavid>
    - fix BR pkgconfig(mdds-1.0) -> pkgconfig(mdds-1.2)

* Mon Jun 20 2016 pterjan <pterjan> 0.1.6-4.mga6
+ Revision: 1036999
- Update tests for liblangtag

  + tv <tv>
    - use %%license
    - generate and install man pages

* Tue Mar 15 2016 tv <tv> 0.1.6-2.mga6
+ Revision: 991045
- switch to mdds 1.x

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.1.6-1.mga6
+ Revision: 927241
- 0.1.6

* Fri Dec 25 2015 tv <tv> 0.1.5-2.mga6
+ Revision: 914734
- rebuild for new boost 1.60

* Mon Dec 07 2015 tv <tv> 0.1.5-1.mga6
+ Revision: 908716
- drop merged patches
- new release
- sync with FC

* Fri Nov 27 2015 tv <tv> 0.1.4-1.mga6
+ Revision: 906479
- BR help2man
- use pkgconfig() BR style
- add build fixes from FC
- fix build with mdds-0.x
- new release

* Wed Aug 26 2015 tv <tv> 0.1.3-2.mga6
+ Revision: 869846
- rebuild with gcc5

* Mon Jun 29 2015 tv <tv> 0.1.3-1.mga6
+ Revision: 847690
- BR mdds
- new release

* Tue Jun 23 2015 tv <tv> 0.1.2-2.mga6
+ Revision: 840274
- add patches from FC
- BR glm-devel
- revert doble boost BR
- BR boost-devel
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-4.mga5
+ Revision: 742255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 681443
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 0.1.1-2.mga5
+ Revision: 661114
- fix lib pkg name

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658638
- adjust file list
- bump api
- bump major
- BR librevenge
- new release

* Sun Apr 27 2014 tv <tv> 0.0.4-1.mga5
+ Revision: 618472
- new release

* Thu Feb 06 2014 tv <tv> 0.0.3-2.mga5
+ Revision: 584327
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.3-1.mga5
+ Revision: 584301
- imported package libetonyek

